<?
  session_start();
  require('../valtiempoinact.php');
  require("../conectar.php");
  $usuario_nivel=$_SESSION['usuario_nivel'];
  $usuario_login=$_SESSION['usuario_login'];
?>
<html>
<head>
<title></title>
<!--Evita que muestre signos raros al colocar ñ y acentos -->
<meta content="text/html; charset="iso-8859-1; http-equiv="Content-Type" />  
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">


<!--CALENDARIO-->
<link rel="stylesheet" href="tabla.css">
<!--estilo de la tabla      conflictoooooooooooo-->
<link rel="stylesheet" href="style.css"/>
<?php
$usuario_actual=mysql_query("select * from empleados where id_empleado='$_SESSION[usuario_id]'",$db_conexion);
 if($re=mysql_fetch_array($usuario_actual))
   {
	$id_empleado=$re['id_empleado'];
	$nom=$re['nombre'];
	$a_pat=$re['a_pat'];
	$a_mat=$re['a_mat'];
	$su_puesto=$re['puesto'];
	$su_gerente=$re['gerente'];
	$su_coordinador=$re['coordinador'];
   }
  // GERENTE ES 3
  // COORDINADOR ES 4
  // EJECUTIVO ES 5
?>
<SCRIPT LANGUAGE="JavaScript">
	var imprimible="";

	function versionimp(){
		if (imprimible=='')
			imprimible="s";
		else
			imprimible="";
	}

	function cambiadeano(f){
     document.location="anuncio_buscar.php?año="+f.año.value;	
	}
</SCRIPT>										
</head>
<body>                					
                	<div class="post_section" style="text-align:center;">
                        <p>
						<?
						     $añoactual=date("Y");
						     if ($año=='')
								$año=$añoactual;
						 ?>		
<form name="forma">
<center>
	<table border="1" border="0" cellpadding="0" cellspacing="0">
		<caption><b><FONT SIZE="2">ANUNCIOS PUBLICADOS</FONT> </caption>
			<tr>
				<td colspan=12 align="center">
					COORD/EJECUTIVO:<br>
					 <select name="usu"> 
					<?php
							 // SI EL USUARIO ACTUAL ES GERENTE
							 if($su_puesto==3 || $su_puesto==2 || $su_puesto==1 || $su_puesto==13 || $su_puesto==14 || $su_puesto==19)
							 {
							 echo "<option value=''></option>";	 
							 $usuario=mysql_query("select * from empleados where puesto=4 and fechabaja='0000-00-00'",$db_conexion);
							 while($ru=mysql_fetch_array($usuario))
							 { 
							  echo "<option value='$ru[id_empleado]' style='font-weight:bold;'>&nbsp;&nbsp;&nbsp;$ru[nombre] $ru[a_pat] $ru[a_mat]</option>"; 
							 }
							 $ejecutivos=mysql_query("select * from empleados where puesto=5 and fechabaja='0000-00-00'",$db_conexion);
							  while($reje=mysql_fetch_array($ejecutivos))
							   {
								 echo "<option value='$reje[id_empleado]' style='font-style:italic;'>&nbsp;&nbsp;&nbsp;$reje[nombre] $reje[a_pat] $reje[a_mat]</option>";   
							   }							  
							 }// FIN DE SI EL USUARIO ACTUAL ES GERENTE
							 
							 // SI EL USUARIO ACTUAL ES COORDINADOR
							 else if($su_puesto==4)
							 {
							 
							  echo "<option value='$id_empleado' style='font-weight:bold;'>$nom $a_pat $a_mat</option>"; 
							  $ejecutivos=mysql_query("select * from empleados where puesto=5 and coordinador='$id_empleado' and fechabaja='0000-00-00'",$db_conexion);
							  while($reje=mysql_fetch_array($ejecutivos))
							   {
								 echo "<option value='$reje[id_empleado]' style='font-style:italic;'>&nbsp;&nbsp;&nbsp;$reje[nombre] $reje[a_pat] $reje[a_mat]</option>";   
							   }
							
								 
							 }// SI EL USUARIO ACTUAL ES COORDINADOR
							 
							 // SI EL USUARIO ACTUAL ES EJECUTIVO
							 else if($su_puesto==5)
							 {
							 
							  echo "<option value='$id_empleado' style='font-weight:bold;'>$nom $a_pat $a_mat</option>"; 
							  								 
							 }// SI EL USUARIO ACTUAL ES EJECUTIVO
							 ?>
                             </select>
				</td>
			</tr>
			<tr>
				<td colspan=12 align="center">
					AÑO: <select name="año" class="sel" onChange="cambiadeano(this.form);">
						<option value="<? echo $año ?>"><?echo $año ?>
<?
for ($iaño=$añoactual;$iaño>=2012;$iaño--){
?>
   <option value="<?echo $iaño?>"><?echo $iaño?>
<?
}
?>
					</select>
				</td>
			</tr>
<tr>
<?
if($añoactual==$_GET["año"]){
   $mesactual=date("m");
}else if($_GET["año"]<$añoactual){
   $mesactual=12;
}
 $mesactual=date("m");
//$mesactual=3;
for ($i=$mesactual;$i<=$mesactual + 1;$i++){
	switch($i){ 
		case 1:   
			$md="ENERO";
			break;
		case 2:   
			$md="FEBRERO";
			break; 
		case 3:   
			$md="MARZO";
			break;
		case 4:   
			$md="ABRIL";
			break;
		case 5:   
			$md="MAYO";
			break; 
		case 6:   
			$md="JUNIO";
			break; 
		case 7:   
			$md="JULIO";
			break;
		case 8:   
			$md="AGOSTO";
			break; 
		case 9:   
			$md="SEPTIEMBRE";
			break;
		case 10:   
			$md="OCTUBRE";
			break;
		case 11:   
			$md="NOVIEMBRE";
			break; 
		case 12:   
			$md="DICIEMBRE";
			break; 
		default: break;
	}

$ultimo=31;
while(Checkdate($i,$ultimo,$año) == 0)
 {
  $ultimo--;  
 }
if($i<10)$i="0".$i;
$fechaini="$año-$i-01";
$fechafin="$año-$i-$ultimo";
//Obtiene el color de fondo para el mes
	if ($i < $mesactual)
		$colormes="bgcolor=#D5FFD5";
	else if ($i == $mesactual)
		$colormes="bgcolor=#FFFFCC";
    else
		$colormes="bgcolor=#FFFFFF";
//-->Obtiene el color de fondo para el mes
?>
<td>
<center><a href="#x" target="_blank" onclick="window.open('anuncioval.php?mes=<?echo $md?>&fechaini=<?echo $fechaini?>&fechafin=<?echo $fechafin?>&usuario=' + forma.usu.options[forma.usu.selectedIndex].value,'',''); return false;"><?echo $md ?></a></center>
	</td>
<?
}
?>
</tr>
</table> 
</center>
</form>
<? mysql_close();?>					   			      					
</p>                
</div>					
</body>